# Determine if this is a debug build "CMAKE_BUILD_TYPE=DEBUG"

MACRO (M_IS_DEBUG)
	IF (NOT M_IS_DEBUG_RUN)
		# Check if this macro has already been run.
		IF ("${IS_DEBUG}" STREQUAL "")
			SET (BUILD_TYPE_UPPER "")
			IF (NOT "${CMAKE_BUILD_TYPE}" STREQUAL "")
				STRING (TOUPPER ${CMAKE_BUILD_TYPE} TMP)
				SET (BUILD_TYPE_UPPER "${TMP}" CACHE INTERNAL "")
			ENDIF ()

			IF ("${BUILD_TYPE_UPPER}" STREQUAL "DEBUG")
				SET (IS_DEBUG YES CACHE INTERNAL "")
				ADD_COMPILE_OPTIONS("-DDEBUG=1")
				MESSAGE (STATUS "Build type is debug")
			ELSE ()
				SET(IS_DEBUG NO CACHE INTERNAL "")
				MESSAGE (STATUS "build type is NOT debug")
			ENDIF ()
		ENDIF ()
		SET (M_IS_DEBUG_RUN YES CACHE INTERNAL "")
	ENDIF ()
ENDMACRO ()
