# - Check for various linker requirnments.
# - Checks for:
#   - socket
#   - nsl
#   - dl
#   - m
# - Sets the following
#   - HAVE_LINK_SOCKET
#   - socket (if have)
#   - HAVE_LINK_NSL
#   - nsl (if have)
#   - HAVE_LINK_DL
#   - dl (if have)
#   - HAVE_LINK_M
#   - m (if have)
#   - HAVE_RT_M
#   - rt (if have)
#   - HAVE_RT_OBJC
#   - objc (if have)
#   - ALL_COMMON_LIBS - A collection of all the above haves.

INCLUDE (CheckLibraryExists)

MACRO (M_CHECKCOMMONLIBRARIES)
	SET (ALL_COMMON_LIBS "")

	CHECK_LIBRARY_EXISTS ("socket" shutdown "" HAVE_LINK_SOCKET)
	if (HAVE_LINK_SOCKET)
		SET (socket "socket" CACHE INTERNAL "")
		LIST (APPEND ALL_COMMON_LIBS "socket")
	ELSE()
		SET (socket "" CACHE INTERNAL "")
	ENDIF ()

	CHECK_LIBRARY_EXISTS ("nsl" gethostbyname "" HAVE_LINK_NSL)
	if (HAVE_LINK_NSL)
		SET (nsl "nsl" CACHE INTERNAL "")
		LIST (APPEND ALL_COMMON_LIBS "nsl")
	ELSE ()
		SET (nsl "" CACHE INTERNAL "")
	ENDIF ()

	CHECK_LIBRARY_EXISTS ("dl" dlopen "" HAVE_LINK_DL)
	if (HAVE_LINK_DL)
		SET (dl "dl" CACHE INTERNAL "")
		LIST (APPEND ALL_COMMON_LIBS "dl")
	ELSE ()
		SET (dl "" CACHE INTERNAL "")
	ENDIF ()

	CHECK_LIBRARY_EXISTS ("m" ceil "" HAVE_LINK_M)
	if (HAVE_LINK_M)
		SET (m "m" CACHE INTERNAL "")
		LIST (APPEND ALL_COMMON_LIBS "m")
	ELSE ()
		SET (m "" CACHE INTERNAL "")
	ENDIF ()

	CHECK_LIBRARY_EXISTS (rt clock_gettime "" HAVE_LINK_RT)
	if (HAVE_LINK_RT)
		SET (rt "rt" CACHE INTERNAL "")
		LIST (APPEND ALL_COMMON_LIBS "rt")
	ELSE ()
		SET (rt "" CACHE INTERNAL "")
	ENDIF ()

	CHECK_LIBRARY_EXISTS ("objc" objc_msgSend "" HAVE_LINK_OBJC)
	if (HAVE_LINK_OBJC)
		SET (objc "objc" CACHE INTERNAL "")
		LIST (APPEND ALL_COMMON_LIBS "objc")
	ELSE ()
		SET (objc "" CACHE INTERNAL "")
	ENDIF ()

	SET (ALL_COMMON_LIBS "${ALL_COMMON_LIBS}" CACHE INTERNAL "")
ENDMACRO ()
