# Finds OpenSSL taking into account that the FindOpenSSL module that comes with CMake can't cope with
# cross complication for android.

# Check for required system functionality.
IF (ANDROID)
	IF ("${OPENSSL_INCLUDE_DIR}" STREQUAL "" OR "${OPENSSL_LIBRARIES}" STREQUAL "")
		MESSAGE (WARNING "OPENSSL_INCLUDE_DIR and OPENSSL_LIBRARIES must be specified manually on Android.")
		MESSAGE (WARNING "Examples: ")
		MESSAGE (WARNING "-DOPENSSL_INCLUDE_DIR=\"/usr/local/ssl-android-18/include\"")
		MESSAGE (WARNING "-DOPENSSL_LIBRARIES=\"/usr/local/ssl-android-18/lib/libcrypto.so;/usr/local/ssl-android-18/lib/libssl.so\"")
		MESSAGE (WARNING "NOTE: Static (.a) libraries cannot be used only shared libraires can be linked.")
		MESSAGE (FATAL_ERROR "CANNOT CONTINUE WITHOUT OPENSSL")
	ENDIF ()
ELSE ()
	FIND_PACKAGE (OpenSSL REQUIRED)
ENDIF ()
