# - Try to find check
#
# Set the following for alternative search path:
#  CHECK_ROOT_DIR 
#
# Once done this will define:
#  CHECK_FOUND        - System has check
#  CHECK_INCLUDE_DIRS - The check include directories
#  CHECK_LIBRARIES    - The libraries needed to use check

IF (CHECK_INCLUDE_DIR AND CHECK_LIBRARIES)
	SET (CHECK_FOUND TRUE)
ELSE ()
	IF (NOT WIN32)
		FIND_PACKAGE (PkgConfig)
		PKG_CHECK_MODULES (PC_LIBCHECK QUIET check)
	ENDIF ()

	SET (CHECK_PATH_LOCATIONS
		/usr/local
		/usr/local/check
		/usr/local/check64
	)

	FIND_PATH (CHECK_INCLUDE_DIR NAMES check.h
		HINTS ${CHECK_ROOT_DIR} ${PC_LIBCHECK_INCLUDE_DIRS}
		PATHS ${CHECK_PATH_LOCATIONS}
		PATH_SUFFIXES include check include/check
	)

	FIND_LIBRARY (CHECK_LIBRARY NAMES check_pic check
		NAMES_PER_DIR
		HINTS ${CHECK_ROOT_DIR} ${PC_LIBCHECK_LIBRARY_DIRS} 
		PATHS ${CHECK_PATH_LOCATIONS}
		PATH_SUFFIXES lib ""
	)

	IF (WIN32)
		FIND_LIBRARY (CHECK_COMPAT_LIBRARY NAMES compat
			HINTS ${CHECK_ROOT_DIR}
			PATH_SUFFIXES lib ""
		)
	ENDIF ()

	# set CHECK_FOUND to TRUE if all listed variables are TRUE.
	INCLUDE (FindPackageHandleStandardArgs)
	FIND_PACKAGE_HANDLE_STANDARD_ARGS (check  DEFAULT_MSG CHECK_INCLUDE_DIR CHECK_LIBRARY)

	IF (CHECK_FOUND)
		SET (CHECK_INCLUDE_DIRS ${CHECK_INCLUDE_DIR})
		SET (CHECK_LIBRARIES ${CHECK_LIBRARY})
		IF (CHECK_COMPAT_LIBRARY)
			LIST (APPEND CHECK_LIBRARIES ${CHECK_COMPAT_LIBRARY})
		ENDIF ()
	ENDIF ()

	MARK_AS_ADVANCED (CHECK_INCLUDE_DIR CHECK_LIBRARY)
ENDIF ()
