# - Try to find libmonetra
#
# Set the following for alternative search path:
#  LIBMONETRA_ROOT_DIR 
#
# Once done this will define:
#  LIBMONETRA_FOUND        - System has libmonetra
#  LIBMONETRA_INCLUDE_DIRS - The libmonetra include directories
#  LIBMONETRA_LIBRARIES    - The libraries needed to use libmonetra

IF (LIBMONETRA_INCLUDE_DIRS AND LIBMONETRA_LIBRARIES)
	SET (LIBMONETRA_FOUND TRUE)
ELSE ()
	IF (NOT WIN32)
		FIND_PACKAGE (PkgConfig)
		PKG_CHECK_MODULES (PC_LIBMONETRA QUIET libmonetra)
	ENDIF ()

	SET (LIBMONETRA_PATH_LOCATIONS
		/usr/local
		/usr/local/libmonetra
		/usr/local/libmonetra64
	)

	FIND_PATH (LIBMONETRA_INCLUDE_DIR NAMES monetra.h
		HINTS ${LIBMONETRA_ROOT_DIR} ${PC_LIBMONETRA_INCLUDE_DIRS}
		PATHS ${LIBMONETRA_PATH_LOCATIONS}
		PATH_SUFFIXES include
	)

	FIND_LIBRARY (LIBMONETRA_LIBRARY NAMES monetra
		NAMES_PER_DIR
		HINTS ${LIBMONETRA_ROOT_DIR} ${PC_LIBMONETRA_LIBRARY_DIRS}
		PATHS ${LIBMONETRA_PATH_LOCATIONS}
		PATH_SUFFIXES lib "" build build/bin build/lib
	)

	# set LIBMONETRA_FOUND to TRUE if all listed variables are TRUE.
	INCLUDE (FindPackageHandleStandardArgs)
	FIND_PACKAGE_HANDLE_STANDARD_ARGS (LIBMONETRA DEFAULT_MSG LIBMONETRA_INCLUDE_DIR LIBMONETRA_LIBRARY)

	IF (LIBMONETRA_FOUND)
		SET (LIBMONETRA_INCLUDE_DIRS ${LIBMONETRA_INCLUDE_DIR})
		SET (LIBMONETRA_LIBRARIES ${LIBMONETRA_LIBRARY})
	ENDIF ()

	MARK_AS_ADVANCED (LIBMONETRA_INCLUDE_DIR LIBMONETRA_LIBRARY)
ENDIF ()

