# - Try to find mstdlib_base
#
# Set the following for alternative search path:
#  MSTDLIB_ROOT_DIR 
#
# Once done this will define:
#  MSTDLIB_BASE_FOUND        - System has mstdlib_base
#  MSTDLIB_BASE_INCLUDE_DIRS - The mstdlib_base include directories
#  MSTDLIB_INCLUDE_DIRS      - The mstdlib_base include directories
#  MSTDLIB_BASE_LIBRARIES    - The libraries needed to use mstdlib_base
IF (MSTDLIB_BASE_INCLUDE_DIRS AND MSTDLIB_BASE_LIBRARIES)
	SET (MSTDLIB_BASE_FOUND TRUE)
ELSE ()
	IF (NOT WIN32)
		FIND_PACKAGE (PkgConfig)
		PKG_CHECK_MODULES (PC_MSTDLIB_BASE QUIET mstdlib_base)
	ENDIF ()

	SET (MSTDLIB_BASE_PATH_LOCATIONS
		/usr/local
		/usr/local/mstdlib
		/usr/local/mstdlib64
	)

	FIND_PATH (MSTDLIB_BASE_INCLUDE_DIR NAMES mstdlib.h
		HINTS ${MSTDLIB_ROOT_DIR} ${PC_MSTDLIB_BASE_INCLUDE_DIRS}
		PATHS ${MSTDLIB_BASE_PATH_LOCATIONS}
		PATH_SUFFIXES include mstdlib include/mstdlib
	)
	STRING (REGEX REPLACE "mstdlib(/)*$" "" MSTDLIB_BASE_INCLUDE_DIR "${MSTDLIB_BASE_INCLUDE_DIR}")

	FIND_LIBRARY (MSTDLIB_BASE_LIBRARY NAMES mstdlib
		NAMES_PER_DIR
		HINTS ${MSTDLIB_ROOT_DIR} ${PC_MSTDLIB_BASE_LIBRARY_DIRS}
		PATHS ${MSTDLIB_BASE_PATH_LOCATIONS}
		PATH_SUFFIXES lib "" base base/.libs build build/bin build/lib
	)

	# set MSTDLIB_BASE_FOUND to TRUE if all listed variables are TRUE.
	INCLUDE (FindPackageHandleStandardArgs)
	FIND_PACKAGE_HANDLE_STANDARD_ARGS (MSTDLIB_BASE DEFAULT_MSG MSTDLIB_BASE_INCLUDE_DIR MSTDLIB_BASE_LIBRARY)

	IF (MSTDLIB_BASE_FOUND)
		SET (MSTDLIB_BASE_INCLUDE_DIRS ${MSTDLIB_BASE_INCLUDE_DIR})
		SET (MSTDLIB_INCLUDE_DIRS ${MSTDLIB_BASE_INCLUDE_DIR})
		SET (MSTDLIB_BASE_LIBRARIES ${MSTDLIB_BASE_LIBRARY})
	ENDIF ()

	MARK_AS_ADVANCED (MSTDLIB_BASE_INCLUDE_DIR MSTDLIB_BASE_LIBRARY)
ENDIF ()


