# - Try to find mstdlib_thread
#
# Set the following for alternative search path:
#  MSTDLIB_ROOT_DIR 
#
# Once done this will define:
#  MSTDLIB_THREAD_FOUND        - System has mstdlib_thread
#  MSTDLIB_THREAD_INCLUDE_DIRS - The mstdlib_thread include directories
#  MSTDLIB_THREAD_LIBRARIES    - The libraries needed to use mstdlib_thread
IF (MSTDLIB_THREAD_INCLUDE_DIRS AND MSTDLIB_THREAD_LIBRARIES)
	SET (MSTDLIB_THREAD_FOUND TRUE)
ELSE ()
	# Thread requires base so we need to ensure we have it.
	FIND_PACKAGE (MSTDLIBBase REQUIRED)

	IF (NOT WIN32)
		FIND_PACKAGE (PkgConfig)
		PKG_CHECK_MODULES (PC_MSTDLIB_THREAD QUIET mstdlib_thread)
	ENDIF ()

	SET (MSTDLIB_THREAD_PATH_LOCATIONS
		/usr/local
		/usr/local/mstdlib
		/usr/local/mstdlib64
	)

	FIND_PATH (MSTDLIB_THREAD_INCLUDE_DIR NAMES mstdlib_thread.h
		HINTS ${MSTDLIB_ROOT_DIR} ${PC_MSTDLIB_THREAD_INCLUDE_DIRS}
		PATHS ${MSTDLIB_THREAD_PATH_LOCATIONS}
		PATH_SUFFIXES include mstdlib include/mstdlib
	)
	STRING (REGEX REPLACE "mstdlib(/)*$" "" MSTDLIB_THREAD_INCLUDE_DIR "${MSTDLIB_THREAD_INCLUDE_DIR}")

	FIND_LIBRARY (MSTDLIB_THREAD_LIBRARY NAMES mstdlib_thread
		NAMES_PER_DIR
		HINTS ${MSTDLIB_ROOT_DIR} ${PC_MSTDLIB_THREAD_LIBRARY_DIRS}
		PATHS ${MSTDLIB_THREAD_PATH_LOCATIONS}
		PATH_SUFFIXES lib "" thread thread/.libs build build/bin build/lib
	)

	# set MSTDLIB_THREAD_FOUND to TRUE if all listed variables are TRUE.
	INCLUDE (FindPackageHandleStandardArgs)
	FIND_PACKAGE_HANDLE_STANDARD_ARGS (MSTDLIB_THREAD DEFAULT_MSG MSTDLIB_THREAD_INCLUDE_DIR MSTDLIB_THREAD_LIBRARY)

	IF (MSTDLIB_THREAD_FOUND)
		SET (MSTDLIB_THREAD_INCLUDE_DIRS ${MSTDLIB_THREAD_INCLUDE_DIR})
		SET (MSTDLIB_THREAD_LIBRARIES ${MSTDLIB_THREAD_LIBRARY})
	ENDIF ()

	MARK_AS_ADVANCED (MSTDLIB_THREAD_INCLUDE_DIR MSTDLIB_THREAD_LIBRARY)
ENDIF ()

