# Find Valgrind.
#
# This module defines:
#  VALGRIND_INCLUDE_DIRS, where to find valgrind/memcheck.h, etc.
#  VALGRIND_PROGRAM, the valgrind executable.
#  VALGRIND_FOUND, If false, do not try to use valgrind.
#
# If you have valgrind installed in a non-standard place, you can define
# VALGRIND_PREFIX to tell cmake where it is.

IF (VALGRIND_PROGRAM)
	SET (VALGRIND_FOUND TRUE)
ELSE ()
	FIND_PATH (VALGRIND_INCLUDE_DIRS NAMES memcheck.h PATHS
		/usr/include /usr/include/valgrind /usr/local/include /usr/local/include/valgrind
		${VALGRIND_PREFIX}/include ${VALGRIND_PREFIX}/include/valgrind)
	FIND_PROGRAM (VALGRIND_PROGRAM NAMES valgrind PATH /usr/bin /usr/local/bin ${VALGRIND_PREFIX}/bin)

	FIND_PACKAGE_HANDLE_STANDARD_ARGS (VALGRIND DEFAULT_MSG VALGRIND_INCLUDE_DIRS VALGRIND_PROGRAM)

	MARK_AS_ADVANCED (VALGRIND_INCLUDE_DIRS VALGRIND_PROGRAM)
ENDIF ()
