# Determine if this is a debug build which will enable some extras such as extra cflags.
#
# Can pass in CFlags to use. E.g (-Wconversion -Wextra -Wnon-exist) or call without CFlags to
# use the default list of CFlags. Once done this will set all of the supported cflags.
#
# It also sets Windows specific cflags that are requried.

INCLUDE (CheckBuildType)
INCLUDE (CheckCCompilerFlag)
INCLUDE (SetCFlags)

MACRO (M_SET_BUILD_TYPE_FLAGS)
	M_IS_DEBUG ()
	IF ("${IS_DEBUG}")
		M_SET_C_FLAGS (${ARGN})
	ENDIF ()

	# Add additional compiler flags
	SET (EXCOMPILER_FLAGS "${EXCOMPILER_FLAGS} -pipe")
	FOREACH (flag ${EXCOMPILER_FLAGS})
		CHECK_C_COMPILER_FLAG (${flag} HAVE_${flag})
		IF (HAVE_${flag})
			SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${flag}")
		ENDIF ()
	ENDFOREACH ()

	# Win32 needs some of it's own extra flags.
	IF (WIN32)
		SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_CRT_SECURE_NO_DEPRECATE -D_WIN32_WINNT=0x0502")
	ENDIF ()
ENDMACRO ()
