#!/bin/sh

NAME='libmonetra'
BASE=`C:/cygwin/bin/dirname.exe $0`

CP='C:/cygwin/bin/cp.exe'
SED='C:/cygwin/bin/sed.exe'
GREP='C:/cygwin/bin/grep.exe'

cl.exe 2>&1 | $GREP x64
if [ $? -eq 0 ]; then
	BUILD=64
else
	BUILD=32
fi

if [ "$BUILD_NAME" = "wm6pro" ] ; then
	OPENSSL_DIR="C:/Program Files/OpenSSL-${BUILD_NAME}"
	WCECOMPAT_DIR="C:/Program Files/wcecompat-${BUILD_NAME}"
	$SED -e "s|@OPENSSL_DIR@|$OPENSSL_DIR|" -e "s|@WCECOMPAT_DIR@|$WCECOMPAT_DIR|" < "$BASE/src/Makefile.mce.in" > "$BASE/src/Makefile.msc"
else
	case $BUILD in
		32)
			OPENSSL_DIR='C:/Program Files/OpenSSL'
		;;
		64)
			OPENSSL_DIR='C:/Program Files/OpenSSL64'
		;;
	esac
	$SED -e "s|@OPENSSL_DIR@|$OPENSSL_DIR|" < "$BASE/src/Makefile.msc.in" > "$BASE/src/Makefile.msc"
fi

$CP "$BASE/src/w32config.h" "$BASE/src/config.h"

echo "==> Configured for ${NAME} Win${BUILD}"
